Skip to content
Myra Online Help Updated · 21 Aug 2026

Changing the configuration of a domain

Note

If the automatic update is disabled, changes to the configuration are only applied once the automatic update is enabled again. Disabling the automatic update is primarily used to change many settings at once, so that Myra does not roll out a half-finished configuration. In some cases, Myra support also disables this option to prevent the Myra system from removing special configuration settings. Note that disabling autoUpdate is not related to database transactions. All changes made are saved, but not rolled out.

Note

To change other information, the domain entry must be deleted and recreated.

Note

The body must include the attributes id and modified to identify the corresponding entry.

Note

Make sure that the id of the DNS record in the path of the request is the same as the value for the attribute id in the body.

Sends a PUT request to the endpoint /domains/{id}.

Description

The Change-Domain-Configuration request allows the user to turn off or turn on the auto update and change the environment type of a domain of the organisation.

Requirements

Values of the request: Domain-ID {id}

Objects: DomainVO

Request

To turn off/turn on the auto update and change the environment type of a domain, the Domain-ID {id} needs to be added to the path of the request.

For a detailed specification of which information is required to turn off/turn on the auto update and change the environment type, the object DomainVO with the following attributes needs to be defined in the body:

Attributes Description Values
autoUpdate The availability of the auto update for the domain.
  • true
  • false
environment The environment type of the domain. The environment type test can be used to set up a configuration and check it together with Myra support before it is rolled out.
  • live
  • test
id The ID of the entry. integer
modified The last modification date in ISO 8601 format. string($date-time)

All other attributes and their changes will be ignored.

Example

Example request body:

{
  "objectType": "string",
  "name": "string",
  "organizationId": 0,
  "autoDns": true,
  "autoUpdate": true,
  "maintenance": true,
  "paused": true,
  "pausedUntil": "string",
  "template": "string",
  "dnsRecords": [
    {
      "objectType": "string",
      "name": "string",
      "value": "string",
      "priority": 0,
      "ttl": 0,
      "vhostId": 0,
      "recordType": "string",
      "weight": 0,
      "port": 0,
      "active": true,
      "paused": true,
      "sslCertTemplate": "string",
      "upstreamOptions": "string",
      "alternativeCname": "string",
      "environment": "string",
      "caaFlags": 0,
      "caaTag": "string",
      "endpoints": "string",
      "serviceType": 0,
      "encryption": "string",
      "identificationNumber": "string",
      "hashType": "string",
      "enabled": true,
      "comment": "string"
    }
  ],
  "reversed": true,
  "environment": "string",
  "locked": true,
  "tagId": 0,
  "permissions": "string",
  "label": "string"
}

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
400 The request was unsuccessful. The request was invalid or information is missing.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.